/*#########################################################################
#                                                                         #
#   Script for ChroniX Radio streams. Based on Amarok's 'Cool Streams'    #
#   script.                                                               #
#                                                                         #
#   Copyright                                                             #
#   (C)       2010 Arno Rehn <arno@arnorehn.de>                           #
#   (C) 2007, 2008 Nikolaj Hald Nielsen  <nhnFreespirit@gmail.com>        #
#   (C)       2008 Peter ZHOU <peterzhoulei@gmail.com>                    #
#   (C)       2008 Mark Kretschmann <kretschmann@kde.org>                 #
#                                                                         #
#   This program is free software; you can redistribute it and/or modify  #
#   it under the terms of the GNU General Public License as published by  #
#   the Free Software Foundation; either version 2 of the License, or     #
#   (at your option) any later version.                                   #
#                                                                         #
#   This program is distributed in the hope that it will be useful,       #
#   but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
#   GNU General Public License for more details.                          #
#                                                                         #
#   You should have received a copy of the GNU General Public License     #
#   along with this program; if not, write to the                         #
#   Free Software Foundation, Inc.,                                       #
#   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         #
##########################################################################*/

function Station( name, url )
{
    this.name = name;
    this.url = url;
}

var stationArray = new Array (
    new Station( "ChroniX Aggression",
                 "http://www.chronixradio.com/chronixaggression/listen/listen.pls" ),
    new Station( "ChroniX Metal",
                 "http://www.chronixradio.com/cxrmetal/listen/listen.pls" ),
    new Station( "ChroniX Grit",
                 "http://www.chronixradio.com/cxrgrit/listen/listen.pls" )
);

function chronix()
{
    ScriptableServiceScript.call( this, "ChroniX Radio", 1, "Radio streams from chronixradio.com", "Metal of all kinds", false );
}

function onPopulating( level, callbackData, filter )
{
    Amarok.debug( " Populating station level..." );
    //add the station streams as leaf nodes
    for ( i = 0; i < stationArray.length; i++ )
    {
        item = Amarok.StreamItem;
        item.level = 0;
        item.callbackData = "";
        item.itemName = stationArray[i].name;
        item.playableUrl = stationArray[i].url;
        item.infoHtml = item.itemName;
        item.coverUrl = "http://www.chronixradio.com/favicon.ico";
        script.insertItem( item );
    }
    script.donePopulating();
}

script = new chronix();
script.populate.connect( onPopulating );
